> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-mcp-bridge-private-server.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> List returns all step-up authentication providers configured for the tenant.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples get /api/v1/step-up/providers
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/step-up/providers:
    get:
      tags:
        - Step Up Authentication Providers
      summary: List
      description: >-
        List returns all step-up authentication providers configured for the
        tenant.
      operationId: c1.api.stepup.v1.StepUpProviderService.List
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.stepup.v1.ListStepUpProvidersResponse
          description: Successful response
      x-codeSamples:
        - lang: go
          label: List
          source: "package main\n\nimport(\n\t\"context\"\n\t\"github.com/conductorone/conductorone-sdk-go/pkg/models/shared\"\n\tconductoronesdkgo \"github.com/conductorone/conductorone-sdk-go\"\n\t\"log\"\n)\n\nfunc main() {\n    ctx := context.Background()\n\n    s := conductoronesdkgo.New(\n        conductoronesdkgo.WithSecurity(shared.Security{\n            BearerAuth: \"<YOUR_BEARER_TOKEN_HERE>\",\n            Oauth: \"<YOUR_OAUTH_HERE>\",\n        }),\n    )\n\n    res, err := s.StepUpProvider.List(ctx)\n    if err != nil {\n        log.Fatal(err)\n    }\n    if res.ListStepUpProvidersResponse != nil {\n        // handle response\n    }\n}"
        - lang: typescript
          label: Typescript (SDK)
          source: >-
            import { ConductoroneSDKTypescript } from
            "conductorone-sdk-typescript";


            const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
              security: {
                bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
                oauth: "<YOUR_OAUTH_HERE>",
              },
            });


            async function run() {
              const result = await conductoroneSDKTypescript.stepUpProvider.list();

              console.log(result);
            }


            run();
components:
  schemas:
    c1.api.stepup.v1.ListStepUpProvidersResponse:
      description: The ListStepUpProvidersResponse message.
      properties:
        list:
          description: The list of step-up authentication providers.
          items:
            $ref: '#/components/schemas/c1.api.stepup.v1.StepUpProvider'
          type:
            - array
            - 'null'
        nextPageToken:
          description: >-
            A token to retrieve the next page of results, or empty if there are
            no more results.
          type:
            - string
            - 'null'
      title: List Step Up Providers Response
      type: object
      x-speakeasy-name-override: ListStepUpProvidersResponse
    c1.api.stepup.v1.StepUpProvider:
      description: >
        StepUpProvider represents a configured step-up authentication
        integration (e.g., Duo, custom OIDC).


        This message contains a oneof named settings. Only a single field of the
        following list may be set at a time:
          - oauth2
          - microsoft
      properties:
        clientId:
          description: The OAuth2 client ID used to authenticate with the step-up provider.
          type:
            - string
            - 'null'
        createdAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        displayName:
          description: The human-readable name of the step-up provider.
          type:
            - string
            - 'null'
        enabled:
          description: Whether the step-up provider is active and available for use.
          type:
            - boolean
            - 'null'
        id:
          description: The unique identifier of the step-up provider.
          readOnly: true
          type:
            - string
            - 'null'
        issuerUrl:
          description: The OIDC issuer URL for the step-up provider.
          type:
            - string
            - 'null'
        lastTestedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
        microsoft:
          oneOf:
            - $ref: '#/components/schemas/c1.api.stepup.v1.StepUpMicrosoftSettings'
            - type: 'null'
        oauth2:
          oneOf:
            - $ref: '#/components/schemas/c1.api.stepup.v1.StepUpOAuth2Settings'
            - type: 'null'
        updatedAt:
          format: date-time
          readOnly: true
          type:
            - string
            - 'null'
      title: Step Up Provider
      type: object
      x-speakeasy-name-override: StepUpProvider
    c1.api.stepup.v1.StepUpMicrosoftSettings:
      description: >-
        StepUpMicrosoftSettings configures a Microsoft Entra step-up provider
        using Conditional Access.
      properties:
        conditionalAccessIds:
          description: >-
            Authentication context IDs (C1-C99). Required for ACRS mode; ignored
            for OIDC mode.
          items:
            type: string
          type:
            - array
            - 'null'
        tenant:
          description: >-
            Microsoft Entra tenant ID (GUID or domain). Used for response
            validation.
          type:
            - string
            - 'null'
        validationMode:
          description: >-
            Validation approach. See MicrosoftValidationMode for details on each
            mode.
          enum:
            - MICROSOFT_VALIDATION_MODE_UNSPECIFIED
            - MICROSOFT_VALIDATION_MODE_ACRS
            - MICROSOFT_VALIDATION_MODE_OIDC
          type:
            - string
            - 'null'
          x-speakeasy-unknown-values: allow
      title: Step Up Microsoft Settings
      type: object
      x-speakeasy-name-override: StepUpMicrosoftSettings
    c1.api.stepup.v1.StepUpOAuth2Settings:
      description: >-
        StepUpOAuth2Settings repersents an OAuth2 provider that supports RFC
        9470 <https://www.rfc-editor.org/rfc/rfc9470>

         Common ACR values for OAuth2 providers include:
           - "urn:okta:loa:1fa:any" (okta)
           - "urn:okta:loa:1fa:pwd" (okta)
           - "urn:okta:loa:2fa:any" (okta)
           - "urn:okta:loa:2fa:any:ifpossible" (okta)
           - "phr" (okta)
           - "phrh" (okta)
      properties:
        acrValues:
          description: The acrValues field.
          items:
            type: string
          type:
            - array
            - 'null'
      title: Step Up O Auth 2 Settings
      type: object
      x-speakeasy-name-override: StepUpOAuth2Settings
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````